#include<bits/stdc++.h>
using namespace std;
int op;
int main(){
	freopen("meow2.ans","r",stdin);
	scanf("%d",&op);
//	printf("%d\n",op);
	for(int i=1;i<=op;i++){
		int o,x,y;
		scanf("%d",&o);
		if(o==1){
			scanf("%d",&x);
//			printf("%d %d\n",o,x);
		}else{
			scanf("%d%d",&x,&y);
//			printf("%d %d %d\n",o,x,y);
		}
	}
	scanf("%d",&op);
	for(int i=1;i<=200;i++){
		int o,x,y;
		scanf("%d",&o);
		if(o==1){
			scanf("%d",&x);
			printf("%d %d(%d)\n",i,o,x);
			if(x!=2)printf("WOCAO");
		}else{
			scanf("%d%d",&x,&y);
			printf("%d %d %d\n",o,x,y);
		}	
	}
	return 0;
}